umbrello: TestBasicTypes Class Reference

umbrello 2.38.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Slots | List of all members
TestBasicTypes Class Reference

`#include <testbasictypes.h>`

Inheritance diagram for TestBasicTypes:

## Private Slots
void | test_dynamic_cast ()
void | test_QString_english ()
void | test_QString_non_english ()
void | test_DomDocument_english ()
void | test_DomDocument_non_english ()
void | test_ModelType_toString ()
void | test_ModelType_fromString ()
void | test_ModelType_forLoop ()
void | test_Visibility_toString ()
void | test_Visibility_fromString ()
void | test_DiagramType_toString ()
void | test_DiagramType_fromString ()
void | test_DiagramType_forLoop ()
void | test_AssociationType_toString_fromString ()
void | test_SignatureType_toString_fromString ()
void | test_TextRole_toString_fromString ()
void | test_Changeability_toString_fromString ()
void | test_SequenceMessage_toString_fromString ()
void | test_RoleType_toString_fromString ()
void | test_ParameterDirection_toString_fromString ()
void | test_ProgrammingLanguage_toString_fromString ()
void | test_Region_toString_fromString ()
void | test_Corner_toString_fromString ()

## Member Function Documentation

## ◆ test_AssociationType_toString_fromString

void TestBasicTypes::test_AssociationType_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_Changeability_toString_fromString

void TestBasicTypes::test_Changeability_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_Corner_toString_fromString

void TestBasicTypes::test_Corner_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_DiagramType_forLoop

void TestBasicTypes::test_DiagramType_forLoop | ( |  | ) |
| privateslot

## ◆ test_DiagramType_fromString

void TestBasicTypes::test_DiagramType_fromString | ( |  | ) |
| privateslot

## ◆ test_DiagramType_toString

void TestBasicTypes::test_DiagramType_toString | ( |  | ) |
| privateslot

## ◆ test_DomDocument_english

void TestBasicTypes::test_DomDocument_english | ( |  | ) |
| privateslot

## ◆ test_DomDocument_non_english

void TestBasicTypes::test_DomDocument_non_english | ( |  | ) |
| privateslot

## ◆ test_dynamic_cast

void TestBasicTypes::test_dynamic_cast | ( |  | ) |
| privateslot

## ◆ test_ModelType_forLoop

void TestBasicTypes::test_ModelType_forLoop | ( |  | ) |
| privateslot

## ◆ test_ModelType_fromString

void TestBasicTypes::test_ModelType_fromString | ( |  | ) |
| privateslot

## ◆ test_ModelType_toString

void TestBasicTypes::test_ModelType_toString | ( |  | ) |
| privateslot

## ◆ test_ParameterDirection_toString_fromString

void TestBasicTypes::test_ParameterDirection_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_ProgrammingLanguage_toString_fromString

void TestBasicTypes::test_ProgrammingLanguage_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_QString_english

void TestBasicTypes::test_QString_english | ( |  | ) |
| privateslot

## ◆ test_QString_non_english

void TestBasicTypes::test_QString_non_english | ( |  | ) |
| privateslot

## ◆ test_Region_toString_fromString

void TestBasicTypes::test_Region_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_RoleType_toString_fromString

void TestBasicTypes::test_RoleType_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_SequenceMessage_toString_fromString

void TestBasicTypes::test_SequenceMessage_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_SignatureType_toString_fromString

void TestBasicTypes::test_SignatureType_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_TextRole_toString_fromString

void TestBasicTypes::test_TextRole_toString_fromString | ( |  | ) |
| privateslot

## ◆ test_Visibility_fromString

void TestBasicTypes::test_Visibility_fromString | ( |  | ) |
| privateslot

## ◆ test_Visibility_toString

void TestBasicTypes::test_Visibility_toString | ( |  | ) |
| privateslot

The documentation for this class was generated from the following files:

- unittests/testbasictypes.h
- unittests/testbasictypes.cpp